Next: D10V-Syntax, Up: D10V-Dependent

#### 9.8.1 D10V Options

The Mitsubishi D10V version of `as` has a few machine dependent options.

-O
  The D10V can often execute two sub-instructions in parallel. When this option is used, `as` will attempt to optimize its output by detecting when instructions can be executed in parallel.
--nowarnswap
  To optimize execution performance, `as` will sometimes swap the order of instructions. Normally this generates a warning. When this option is used, no warning will be generated when instructions are swapped.
--gstabs-packing
--no-gstabs-packing
  `as` packs adjacent short instructions into a single packed instruction. --no-gstabs-packing turns instruction packing off if --gstabs is specified as well; --gstabs-packing (the default) turns instruction packing on even when --gstabs is specified.